import type { ChargePointThumb } from "./chargepoint";
import type { UserThumb } from "./user";

export type TransactionEventTriggerReason = 'Authorized' | 'CablePluggedIn' | 'ChargingRateChanged' | 'ChargingStateChanged' | 'Deauthorized' | 'EnergyLimitReached' | 'EVCommunicationLost' | 'EVConnectTimeout' | 'MeterValueClock' | 'MeterValuePeriodic' | 'TimeLimitReached' | 'Trigger' | 'UnlockCommand' | 'StopAuthorized' | 'EVDeparted' | 'EVDetected' | 'RemoteStop' | 'RemoteStart' | 'AbnormalCondition' | 'SignedDataReceived' | 'ResetCommand';

export type Transaction = {
  id: string;
  status: 'ongoing' | 'ended';
  started_at: string;
  ended_at: string | undefined;
  meter_start: number;
  meter_end: number;
  end_reason: TransactionEventTriggerReason;
  price: number;
  user: UserThumb;
  chargepoint: ChargePointThumb;
}